#include "triangulo.h"

/* Função que verifica se os valores passados para lados de um triângulo podem formar um triângulo. */
int ehTriangulo(float a, float b, float c) {
	// Se a medida de um dos lados for maior que a soma dos outros dois, não é um triângulo.
	if (a > b + c) return 0;
	if (b > a + c) return 0;
	if (c > a + b) return 0;
	
	// Do contrário, é um triângulo.
	return 1;
}

/* Função que retorna o tipo do triângulo (1 = equilátero, 2 = isósceles, 3 = escaleno). */
int tipoTriangulo(float a, float b, float c) {
	// Se os três lados forem iguais, é equilátero (1).
	if ((a == b) && (b == c)) return 1;
	
	// Do contrário, se dois dos lados forem iguais, é isósceles (2).
	if ((a == b) || (a == c) || (b == c)) return 2;
	
	// Do contrário, é escaleno.
	return 3;
}
