#ifndef __Historico_h
#define __Historico_h

/* Estrutura que armazena um livro. */
typedef struct TLivro {
	int codigo;
	char titulo[100];
	char autor[100];
	char dataPublicacao[11];
	int edicao;
	char cidade[30];
	char editora[30];
} *Livro;

/* Estrutura de dados que armazena o histórico de livros: um vetor circular. */
typedef struct THistorico {
	int tamanho;				// Tamanho do histórico.
	int prox;					// Índice da próxima posição do vetor a ser ocupada.
	Livro *vetor;				// Vetor circular.
} *Historico;

/* Função que cria um novo histórico. */
Historico criarHistorico(int tamanho);

/* Função que adiciona um livro ao histórico. */
void adicionarAoHistorico(Historico historico, Livro livro);

/* Função que imprime o histórico. */
void imprimirHistorico(Historico historico);

/* Função que destrói o histórico. */
void destruirHistorico(Historico historico);

#endif